generic
	type TElemento is private;
package Colas is
	type Cola is limited private;
	-- Cuando se crea una variable de tipo Pila, est vaca

	procedure Insertar(P: in out Cola; E: in TElemento);
	-- Aade un elemento en la cima de P

	procedure Extraer(P: in out Cola);
	-- Quita el elemento que ocupa la cima de P
	-- Si P est vaca lanza E_Pila_Vaca

	function Examinar(P: in Cola) return TElemento;
	-- Devuelve el elemento que ocupa la cima de P
	-- Si P est vaca lanza E_Pila_Vaca

	function Es_VacA(P: in Cola) return Boolean;
	-- Evala si P est vaca

	function TamaO(P: in Cola) return Natural;
	-- Devuelve el nmero de elementos almacenados en P

	-- Se lanza cuando, en una pila vaca, se intenta realizar
	-- una operacin no aplicable a las pilas vacas
	E_Cola_VacA: exception;

private
	type Lista is array(1..100) of TElemento;
	type Cola is record
		Elementos: Lista;
		TamaO   : Natural := 0;
	end record;
end Colas;
